/* Drive Chart - Field */
.field-drive-chart {
    background-color: #567e3a;
    margin: 2px auto;
    padding: 20px;
    width: 956px;
}

.field-drive-chart .pitch {
    border: 10px solid #ffffff;
    width: 936px;
}

.field-drive-chart .endzone,
.field-drive-chart .drives,
.field-drive-chart .drives .marks,
.field-drive-chart .drives .block {
    float: left;
    height: 100%;
}

.field-drive-chart .endzone {
    background-color: #3b5e2b;
    color: #ffffff;
    position: relative;
    width: 63px;
}

.field-drive-chart .endzone span {
    font-size: 32px;
    font-weight: bold;
    left: 50%;
    padding: 0 36px;
    position: absolute;
    top: 50%;
}

.field-drive-chart .endzone span:before,
.field-drive-chart .endzone span:after {
    position: absolute;
    top: 6px;
}

.field-drive-chart .endzone span:before {
    left: 0;
}

.field-drive-chart .endzone span:after {
    right: 0;
}

.field-drive-chart .endzone.visitor {
    border-right: 5px solid #ffffff;
}

.field-drive-chart .endzone.visitor span {
    transform: translateX(-50%) translateY(-50%) rotate(-90deg);
}

.field-drive-chart .endzone.home {
    border-left: 5px solid #ffffff;
}

.field-drive-chart .endzone.home span {
    transform: translateX(-50%) translateY(-50%) rotate(90deg);
}

.field-drive-chart li.drives {
    position: relative;
    width: 800px;
}

.field-drive-chart ul.drives,
.field-drive-chart .marks {
    left: 0;
    position: absolute;
    top: 0;
}

.field-drive-chart ul.drives {
    z-index: 15;
}

.field-drive-chart .drives li {
    color: #cccccc;
    height: 16px;
    line-height: 16px;
    margin-top: 2px;
}

.field-drive-chart .drives .drive {
    position: relative;
}

.field-drive-chart .drives .drive div {
    height: 16px;
    line-height: 16px;
    position: relative;
}

.field-drive-chart .drives .drive .bar {
    z-index: 17;
}

.field-drive-chart .drives .drive.arrow_left .bar:before,
.field-drive-chart .drives .drive.arrow_right .bar:after {
    border: solid transparent;
    border-color: transparent;
    border-width: 8px;
    content: " ";
    height: 0;
    margin-top: -8px;
    position: absolute;
    top: 50%;
    width: 0;
}

.field-drive-chart .drives .drive.arrow_left .bar:before {
    border-right-color: #333333;
    right: 100%;
}

.field-drive-chart .drives .drive.arrow_right .bar:after {
    border-left-color: #333333;
    left: 100%;
}

.field-drive-chart .drives .summary {
    background-color: #333333;
    border: 1px solid #cccccc;
    left: 2px;
    text-align: center;
    top: 2px;
    width: 794px;
    z-index: 20;
}

.field-drive-chart .drives .summary span:before {
    margin-right: 3px;
    vertical-align: top;
}

.field-drive-chart .drives .drive:hover .summary {
    display: block;
}

/* Field */
.field-drive-chart .marks {
    margin-left: 1px;
    z-index: 5;
}

.field-drive-chart .marks .block,
.field-drive-chart .marks .hash {
    border-right: 2px solid #ffffff;
}

.field-drive-chart .marks .block {
    position: relative;
    width: 38px;
}

.field-drive-chart .marks .block.last {
    border-right-style: none;
}

.field-drive-chart .marks .block ul {
    left: 0;
    position: absolute;
}

.field-drive-chart .marks .block li {
    float: left;
}

.field-drive-chart .marks .block .hash_top {
    top: 0;
}

.field-drive-chart .marks .block .hash_bot {
    bottom: 0;
}

.field-drive-chart .marks .block .hash {
    height: 8px;
    width: 6px;
}

.field-drive-chart .marks .block .num {
    color: #ffffff;
    font-size: 24px;
    width: 38px;
}

.field-drive-chart .marks .block .num.right {
    text-align: right;
}

.field-drive-chart .marks .block .digit {
    margin: 0 3px;
}

.field-drive-chart .marks .block .hash_top li.num {
    margin-top: 15px;
    transform: rotate(180deg);
}

.field-drive-chart .marks .block .hash_bot li.num {
    margin-bottom: 15px;
}

.field-drive-chart .marks .block .arrow {
    font-size: 16px;
    position: relative;
    top: -3px;
}

.field-drive-chart .marks .block div.hash_mid {
    position: relative;
    top: 50%;
}

.field-drive-chart .marks .block ul.hash_mid {
    height: 80px;
    position: relative;
    top: -40px;
}

.field-drive-chart .marks .block .hash_mid .mid {
    height: 64px;
    position: relative;
    width: 38px;
}

.field-drive-chart .marks .block .hash_mid .mid:before {
    left: -25px;
    position: relative;
    top: -32px;
    z-index: 10;
}

.field-drive-chart .marks .block .hash_mid .extra_point {
    border-right: 2px solid #ffffff;
    height: 16px;
    position: relative;
    top: 24px;
}

.field-drive-chart .marks .block .hash_mid .extra_point.visitor {
    margin-right: 22px;
    width: 14px;
}

.field-drive-chart .marks .block .hash_mid .extra_point.home {
    margin-right: 14px;
    width: 22px;
}

/* Heights */
.field-drive-chart .pitch.num_10 {
    height: 182px;
}
.field-drive-chart .pitch.num_11 {
    height: 200px;
}
.field-drive-chart .pitch.num_12 {
    height: 218px;
}
.field-drive-chart .pitch.num_13 {
    height: 236px;
}
.field-drive-chart .pitch.num_14 {
    height: 254px;
}
.field-drive-chart .pitch.num_15 {
    height: 272px;
}
.field-drive-chart .pitch.num_16 {
    height: 290px;
}
.field-drive-chart .pitch.num_17 {
    height: 308px;
}
.field-drive-chart .pitch.num_18 {
    height: 326px;
}
.field-drive-chart .pitch.num_19 {
    height: 344px;
}
.field-drive-chart .pitch.num_20 {
    height: 362px;
}
.field-drive-chart .pitch.num_21 {
    height: 380px;
}
.field-drive-chart .pitch.num_22 {
    height: 398px;
}
.field-drive-chart .pitch.num_23 {
    height: 416px;
}
.field-drive-chart .pitch.num_24 {
    height: 434px;
}
.field-drive-chart .pitch.num_25 {
    height: 452px;
}
.field-drive-chart .pitch.num_26 {
    height: 470px;
}
.field-drive-chart .pitch.num_27 {
    height: 488px;
}
.field-drive-chart .pitch.num_28 {
    height: 506px;
}
.field-drive-chart .pitch.num_29 {
    height: 524px;
}
.field-drive-chart .pitch.num_30 {
    height: 542px;
}
.field-drive-chart .pitch.num_31 {
    height: 560px;
}
.field-drive-chart .pitch.num_32 {
    height: 578px;
}
.field-drive-chart .pitch.num_33 {
    height: 596px;
}
.field-drive-chart .pitch.num_34 {
    height: 614px;
}
.field-drive-chart .pitch.num_35 {
    height: 632px;
}
.field-drive-chart .pitch.num_36 {
    height: 650px;
}
.field-drive-chart .pitch.num_37 {
    height: 668px;
}
.field-drive-chart .pitch.num_38 {
    height: 686px;
}
.field-drive-chart .pitch.num_39 {
    height: 704px;
}
.field-drive-chart .pitch.num_40 {
    height: 722px;
}

/* Drive Chart - Team */
.team-drive-chart {
    max-width: 491px;
}

.team-drive-chart dl {
    width: 491px;
}

.team-drive-chart .row-title,
.team-drive-chart dt,
.team-drive-chart dd {
    text-align: center;
}

.team-drive-chart .row-title {
    font-weight: bold;
}

.team-drive-chart dt,
.team-drive-chart dd {
    float: left;
    line-height: 16px;
    margin: 2px 0 0 2px;
}

.team-drive-chart .num {
    clear: left;
    margin-left: 0 !important;
    width: 25px;
}

.team-drive-chart .start_time,
.team-drive-chart .start_pos,
.team-drive-chart .end_pos {
    width: 60px;
}

.team-drive-chart .obtained,
.team-drive-chart .result {
    width: 80px;
}

.team-drive-chart .top {
    width: 40px;
}

.team-drive-chart .plays,
.team-drive-chart .yards {
    width: 35px;
}

@media only screen and (min-width: 1002px) {
    .team-drive-chart {
        float: left;
    }

    .team-drive-chart.visitor {
        margin-left: 2px !important;
    }
}

@media only screen and (min-width: 515px) and (max-width: 1001px) {
    .team-drive-chart {
        margin: 0 auto 2px !important;
    }
}

@media only screen and (max-width: 514px) {
    .team-drive-chart .inner {
        overflow: -moz-scrollbars-none;
        -ms-overflow-style: none;
        overflow-x: scroll;
        position: relative;
        scrollbar-width: none;
        width: 100%;
    }

    .team-drive-chart .inner::-webkit-scrollbar {
        height: 0 !important;
    }
}

/* Boxscore */
.boxscore .section:not(.passer) {
    margin-top: 20px;
}

.boxscore .stat {
    width: 35px;
}

.boxscore .stat_wide {
    width: 50px;
}

.boxscore .defense .cell-head:not(.dbl-height) {
    line-height: 14px;
    padding: 2px 0;
}

.boxscore .defense .dbl-height {
    line-height: 32px;
}

.boxscore,
.officials {
    max-width: 375px;
}

.boxscore .static {
    width: calc(100% - 148px);
}

.boxscore .scroll {
    overflow: -moz-scrollbars-none;
    -ms-overflow-style: none;
    overflow-x: scroll;
    position: relative;
    scrollbar-width: none;
    width: calc(100% - 229px);
}

.boxscore .scroll::-webkit-scrollbar {
    height: 0 !important;
}

.boxscore .passer.scroll ul {
    width: 287px;
}
.boxscore .rusher.scroll ul {
    width: 146px;
}
.boxscore .receiver.scroll ul {
    width: 183px;
}
.boxscore .kicker.scroll ul {
    width: 257px;
}
.boxscore .punter.scroll ul {
    width: 257px;
}
.boxscore .kick_ret.scroll ul {
    width: 220px;
}
.boxscore .punt_ret.scroll ul {
    width: 220px;
}
.boxscore .fumbles.scroll ul {
    width: 235px;
}
.boxscore .defense.scroll ul {
    width: 346px;
}

@media only screen and (min-width: 781px) {
    .boxscore {
        float: left;
    }

    .boxscore:first-of-type {
        margin-left: calc((100% - 764px) / 2) !important;
        margin-right: 14px;
    }

    .boxscore .row-pad-1 {
        margin-bottom: 18px;
    }
    .boxscore .row-pad-2 {
        margin-bottom: 36px;
    }
    .boxscore .row-pad-3 {
        margin-bottom: 54px;
    }
    .boxscore .row-pad-4 {
        margin-bottom: 72px;
    }
    .boxscore .row-pad-5 {
        margin-bottom: 90px;
    }
    .boxscore .row-pad-6 {
        margin-bottom: 108px;
    }
    .boxscore .row-pad-7 {
        margin-bottom: 126px;
    }
    .boxscore .row-pad-8 {
        margin-bottom: 144px;
    }
    .boxscore .row-pad-9 {
        margin-bottom: 162px;
    }
    .boxscore .row-pad-10 {
        margin-bottom: 180px;
    }

    .officials {
        clear: left;
        margin-left: calc(((100% - 764px) / 2) + 383px) !important;
    }
}

@media only screen and (max-width: 780px) {
    .boxscore,
    .officials {
        margin: 0 auto 2px !important;
    }
}

@media only screen and (max-width: 400px) {
    .boxscore,
    .officials {
        max-width: 295px;
    }

    .boxscore .static,
    .boxscore .static ul {
        width: 147px;
    }

    .boxscore .scroll {
        width: calc(100% - 149px);
    }

    .boxscore .player {
        width: 120px;
    }

    .boxscore .name {
        width: 117px;
    }

    .boxscore .name .name-short {
        display: initial;
    }

    .boxscore .name .name-full {
        display: none;
    }
}

.officials .row-head {
    border-radius: 3px 3px 0 0;
    font-size: 10px;
    font-weight: bold;
    line-height: 18px;
    text-align: center;
}

.officials .row-0,
.officials .row-1 {
    box-sizing: border-box;
    float: left;
    line-height: 16px;
    margin-top: 2px;
    padding: 0 3px;
}

.officials .row-0 {
    font-weight: bold;
    text-align: right;
    width: 95px;
}

.officials .row-1 {
    margin-left: 2px;
    width: calc(100% - 97px);
}

/* Stats */
.comparison dd.stat div.bars {
    width: calc(100% - 80px);
}

.comparison dd.stat span {
    width: 31px;
}
